正在加载
请稍等

菜单

文章

Home PHP swiftmailer 5.4使用(PHP>5.3)
Home PHP swiftmailer 5.4使用(PHP>5.3)

swiftmailer 5.4使用(PHP>5.3)

PHP by

swiftmailer 6需要PHP7才能支持,由于服务器暂时还是PHP5.6版本,只能使用swiftmailer5.4

安装:

composer require swiftmailer/swiftmailer

使用:


require_once './swiftmailer/vendor/autoload.php';

// Create the Transport
$transport = Swift_SmtpTransport::newInstance('smtp.qq.com', 25)
->setUsername('***@qq.com')
->setPassword('***')
;

// Create the Mailer using your created Transport
$mailer = Swift_Mailer::newInstance($transport);

// Create a message
$message = Swift_Message::newInstance('Wonderful Subject')
->setFrom(array('***@qq.com' => 'test'))
->setTo(array('***@qq.com', '***@qq.com' => 'A name'))
->setBody('Here is the message itself')
;

// Send the message
$result = $mailer->send($message);

var_dump($result);

 

04 2017-08